RDCode: RDKit::Conformer Class Reference

# RDKit::Conformer Class Reference

The class for representing 2D or 3D conformation of a molecule. More...

`#include <Conformer.h>`

List of all members.

## Public Member Functions
| Conformer ()
| Constructor.
| Conformer (unsigned int numAtoms)
| Constructor with number of atoms specified ID specification.
| Conformer (const Conformer &other)
| Copy COnstructor: initialize from a second conformation.
| ~Conformer ()
| Destructor.
void | resize (unsigned int size)
void | reserve (unsigned int size)
| Reserve more space for atom position.
ROMol & | getOwningMol () const
| Get the molecule that oqns this conformation.
const RDGeom::POINT3D_VECT & | getPositions () const
| Get a const reference to the vector of atom positions.
RDGeom::POINT3D_VECT & | getPositions ()
| Get a reference to the atom positions.
const RDGeom::Point3D & | getAtomPos (unsigned int atomId) const
| Get the position of the specified atom.
RDGeom::Point3D & | getAtomPos (unsigned int atomId)
| Get the position of the specified atom.
void | setAtomPos (unsigned int atomId, const RDGeom::Point3D &position)
| Set the position of the specified atom.
unsigned int | getId () const
| get the ID of this conformer
void | setId (unsigned int id)
| set the ID of this conformer
unsigned int | getNumAtoms () const
| Get the number of atoms.
bool | is3D () const
void | set3D (bool v)
## Protected Member Functions
void | setOwningMol (ROMol *mol)
| Set owning moelcule.
void | setOwningMol (ROMol &mol)
| Set owning moelcule.
## Friends
class | ROMol

## Detailed Description

The class for representing 2D or 3D conformation of a molecule.

This class contains

- a pointer to the owing molecule
- a vector of 3D points (positions of atoms)

Definition at line 37 of file Conformer.h.

## Constructor & Destructor Documentation

RDKit::Conformer::Conformer | ( |  | ) | `[inline]`

Constructor.

Definition at line 43 of file Conformer.h.

RDKit::Conformer::Conformer | ( | unsigned int | numAtoms | ) | `[inline]`

Constructor with number of atoms specified ID specification.

Definition at line 48 of file Conformer.h.

RDKit::Conformer::Conformer | ( | const Conformer & | other | ) |

Copy COnstructor: initialize from a second conformation.

RDKit::Conformer::~Conformer | ( |  | ) | `[inline]`

Destructor.

Definition at line 61 of file Conformer.h.

## Member Function Documentation

void RDKit::Conformer::resize | ( | unsigned int | size | ) | `[inline]`

Resize the conformer so that more atoms location can be added. Useful, for e.g., when adding hydrogens

Definition at line 65 of file Conformer.h.

void RDKit::Conformer::reserve | ( | unsigned int | size | ) | `[inline]`

Reserve more space for atom position.

Definition at line 70 of file Conformer.h.

ROMol& RDKit::Conformer::getOwningMol | ( |  | ) | const`[inline]`

Get the molecule that oqns this conformation.

Definition at line 75 of file Conformer.h.

const RDGeom::POINT3D_VECT& RDKit::Conformer::getPositions | ( |  | ) | const

Get a const reference to the vector of atom positions.

RDGeom::POINT3D_VECT& RDKit::Conformer::getPositions | ( |  | ) |

Get a reference to the atom positions.

const RDGeom::Point3D& RDKit::Conformer::getAtomPos | ( | unsigned int | atomId | ) | const

Get the position of the specified atom.

RDGeom::Point3D& RDKit::Conformer::getAtomPos | ( | unsigned int | atomId | ) |

Get the position of the specified atom.

void RDKit::Conformer::setAtomPos | ( | unsigned int | atomId,
|  | const RDGeom::Point3D & | position |
| ) |  |  | `[inline]`

Set the position of the specified atom.

Definition at line 90 of file Conformer.h.

unsigned int RDKit::Conformer::getId | ( |  | ) | const`[inline]`

get the ID of this conformer

Definition at line 99 of file Conformer.h.

void RDKit::Conformer::setId | ( | unsigned int | id | ) | `[inline]`

set the ID of this conformer

Definition at line 102 of file Conformer.h.

unsigned int RDKit::Conformer::getNumAtoms | ( |  | ) | const`[inline]`

Get the number of atoms.

Definition at line 107 of file Conformer.h.

bool RDKit::Conformer::is3D | ( |  | ) | const`[inline]`

Definition at line 111 of file Conformer.h.

void RDKit::Conformer::set3D | ( | bool | v | ) | `[inline]`

Definition at line 114 of file Conformer.h.

void RDKit::Conformer::setOwningMol | ( | ROMol * | mol | ) | `[protected]`

Set owning moelcule.

void RDKit::Conformer::setOwningMol | ( | ROMol & | mol | ) | `[protected]`

Set owning moelcule.

## Friends And Related Function Documentation

friend class ROMol`[friend]`

Definition at line 40 of file Conformer.h.

The documentation for this class was generated from the following file:

- Conformer.h